# QStyleOptionButton Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOption.

### Constructor

- void QStyleOptionButton()
- void QStyleOptionButton(QStyleOptionButton other)

### Constructor Properties

- prototype: The QStyleOptionButton prototype object
- Version = 1
- StyleOptionVersion( value )
- None = 0x00
- Flat = 0x01
- HasMenu = 0x02
- DefaultButton = 0x04
- AutoDefaultButton = 0x08
- CommandLinkButton = 0x10
- ButtonFeature( value )
- ButtonFeatures( value1, value2, ... )
- Type = SO_Button
- StyleOptionType( value )

### Instance Properties

QStyleOptionButton objects have no special properties beyond those inherited from the QStyleOptionButton prototype object.